Name:		fio-init-annyung
Version:	1.0
Release:	1%{?dist}
Summary:	SysV init script for controlling iomemory-vsl devices
Summary(ko): iomemory-vsl device를 컨트롤하기 위한 SysV init script

Group:		Applications/System
License:	Proprietary
Source0:	%{name}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	mdadm fio-util pciutils lvm2
Requires:	kmod-iomemory-vsl fio-common fio-util
Conflicts:	fio-sysvinit
BuildArchitectures: noarch

%description
This installs a SysV init script for managing iomemory-vsl devices.  It
shouldn't be necessary for most distributions.  If your distribution
is older and doesn't have a working udev or the mdadm shutdown is broken
then give this a try.


%install
rm -rf %{buildroot}
mkdir %{buildroot}
cd %{buildroot}
tar xvfpj %{SOURCE0}
cd -

%clean
rm -rf %{buildroot}

%post
# The init script must be enabled in /etc/sysconfig/iomemory-vsl
if [ "$1" -eq 1 ]; then
	/sbin/chkconfig --add iomemory-vsl
	/sbin/chkconfig iomemory-vsl on
fi

%preun
# The init script must be enabled in /etc/sysconfig/iomemory-vsl
if [ "$1" -eq 0 ]; then
	/sbin/chkconfig iomemory-vsl off
	/sbin/chkconfig --del iomemory-vsl
fi

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/iomemory-vsl
%{_sysconfdir}/rc.d/init.d/iomemory-vsl

%changelog
* Fri Mar 16 2012 JoungKyun.Kim <http://oops.org> 1.0-2%{?dist}
- fixed missing files

* Thu Feb 16 2012 JoungKyun.Kim <http://oops.org> 1.0-1%{?dist}
- Initail build
